<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "practice_specialty".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "PracticeVideo".
 *
 * Columns in table "practice_specialty" available as properties of the model,
 * followed by relations of table "practice_specialty" available as properties of the model.
 *
 * @property integer $id
 * @property integer $practice_id
 * @property integer $sub_specialty_id
 *
 * @property Practice $practice
 */
abstract class BasePracticeSpecialty extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'practice_specialty';
    }

    public function rules()
    {
        return array(
            array('practice_id, sub_specialty_id', 'required'),
            array('practice_id, sub_specialty_id', 'numerical', 'integerOnly' => true),
            array('id, practice, sub_specialty_id', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
            'practice' => array(self::BELONGS_TO, 'Practice', 'practice_id'),
            'sub_specialty' => array(self::BELONGS_TO, 'SubSpecialty', 'sub_specialty_id'),
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'practice_id' => Yii::t('app', 'Practice'),
            'sub_specialty_id' => Yii::t('app', 'Sub Specialty'),
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->with = array('practice', 'sub_specialty');

        $criteria->compare('id', $this->id);
        $criteria->compare('practice.name', $this->practice, true);
        $criteria->compare('sub_specialty.name', $this->sub_specialty, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
        ));
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'PracticeSpecialty|PracticeSpecialties', $n);
    }

}
